﻿@*<script type="text/javascript" src="@Url.Content("~/Scripts/CommonMessage/common-message.js")"></script>*@

<script type="text/javascript">
    var search;
    var nowSearch;
    
    function OnInit(s, e) {
        
        _search = "N";
        _nowSearch = "N";
    }
    function OnSearch(s, e) {
        if (DateFrom.GetText() == '' || DateFrom.GetText() == null) 
        {
            var Message = GetCommonMessage("MSPN0004BERR", "Start Date", "", "");
            alert(Message);
        }
        else if (EndDate.GetText() == '' || EndDate.GetText() == null) {
            var Message = GetCommonMessage("MSPN0004BERR", "End Date", "", "");
            alert(Message);
        }

        else {

            _search = "Y";
            _nowSearch = "Y";
            LogMonitoringViewArea.ClearFilter();

        }
}
    function onBeginCallbackLogHeaderGrid(s, e) {
  
            var p_PROCESS_ID = ProcessID.GetText();
            var p_START_DATE = DateFrom.GetText();
            var p_END_DATE = EndDate.GetText();
            var p_FUNCTION_ID = FunctionName.GetValue();
            var p_CREATED_BY = UserName.GetText();
            if (_search == "Y") {
                e.customArgs["p_PROCESS_ID"] = p_PROCESS_ID;
                e.customArgs["p_START_DATE"] = p_START_DATE;
                e.customArgs["p_END_DATE"] = p_END_DATE;
                e.customArgs["p_FUNCTION_ID"] = p_FUNCTION_ID;
                e.customArgs["p_CREATED_BY"] = p_CREATED_BY;
            }
            if (_search == "N") {
                e.customArgs["p_PROCESS_ID"] = "";
                e.customArgs["p_START_DATE"] = "";
                e.customArgs["p_END_DATE"] = "";
                e.customArgs["p_FUNCTION_ID"] = "";
                e.customArgs["p_CREATED_BY"] = "";
            
            }

        }
        function onEndCallbackLogHeaderGrid(s, e) {
            if (LogMonitoringViewArea.GetVisibleRowsOnPage() == 0) {
                if (_nowSearch == "Y") {
                    _nowSearch = "N";
                    var Message = GetCommonMessage("MSPN0002BCONF", "", "", "", "");
                    alert(Message);
                }
            }
        }

    //FUNGSI PEMANGGILAN DEFAULT DALAM BUTTON "ONCLEAR"
    function OnClear(s, e) {
       //variable untuk ambil tanggal now
        var oDate = new Date();
        var nDate = oDate.getDate();
        var nMnth = oDate.getMonth() +1;
        var nYear = oDate.getFullYear();
        _search = "N";
        _nowSearch = "N";

        ProcessID.SetText('');
        DateFrom.SetText('');
        EndDate.SetText('');
        FunctionName.SetText('');
        UserName.SetText('');
        LogMonitoringViewArea.PerformCallback();
        
        //fungsi panggil tanggal now yg di format
        DateFrom.SetText(nDate + "-" + nMnth + "-" + nYear);
        EndDate.SetText(nDate + "-" + nMnth + "-" + nYear);
       
       
    }

    function LogMonitoringViewArea_SelectionChanged(s, e) {
        ProcessID.SetText(s.GetSelectedRowCount());
        
    }
    //Popup detail grid
  

//    function OnHyperLinkClick(ProcessID) {
//        PU_Add.Show();

//        var MyAppUrlSettings = {
//            MyUsefulUrl: '@Url.Action("_ShowData", "LogMonitoring")'
//        }

//        $.ajax({
//            type: "POST",
//            url: MyAppUrlSettings.MyUsefulUrl,
//            data: {
//                pE_ProcessId: ProcessID
//            },
//            success: function (resultMessage) {
//            },
//            error: function (resultMessage) {
//            }
//        });

//        OnDetailGridBeginCallback(s, e);
//        LogMonitoringDetailViewArea.ClearFilter();
//    
    //    }

    function OnHyperLinkClick(ProcessID) {
        Process_ID2.SetText(ProcessID);
        PU_Add.Show();
    }
 

</script>